Get a list of all tags in the repo.
curl --request GET \
--url https://api.diversion.dev/v0/repos/{repo_id}/tags \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/tags"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "Tag",
"items": [
{
"name": "<string>",
"commit_id": "<string>",
"id": "<string>",
"author": {
"id": "<string>",
"image": "<string>",
"email": "jsmith@example.com",
"full_name": "<string>",
"name": "<string>"
},
"time": 123,
"description": "<string>"
}
]
}{
"status": 403,
"detail": "User not authorized to perform the requested action on the resource",
"title": "<string>",
"type": "<string>"
}Repository Tag Manipulation
List tags
Lists all non-deleted tags in a repository, including:
- Tag ID
- Name
- Author details (enriched from user database)
- Creation time
- Associated commit ID
- Description
About tags: Tags are lightweight named references to specific commits, useful for marking releases or important milestones.
Requirements: Requires READ access to the repository.
GET
/
repos
/
{repo_id}
/
tags
Get a list of all tags in the repo.
Authorizations
OAuth2OAuth2
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"

